//
//  StringHolder.m
//  ArmorP3V1
//

#import "StringHolder.h"

@implementation StringHolder

NSDictionary* _dict = nil;

+(NSDictionary*)dict {
    if (_dict == nil) {
        _dict = [[NSDictionary alloc]init];
    }
    return _dict;
}

+(NSString*)intern:(NSString*)str {
    if (_dict == nil) {
        _dict = [StringHolder dict];
    }
    NSString* ret = [_dict objectForKey:str];
    if (ret == nil) {
        ret = str;
    }
    return ret;
}

@end
